Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.event
Interface ListDataListener

All Known Implementing Classes:
  JComboBox, JList.AccessibleJList, BasicListUI.ListDataHandler, BasicComboPopup.ListDataHandler, BasicComboBoxUI.ListDataHandler

public abstract interface ListDataListener
extends java.util.EventListener

ListDataListener

Method Summary
`void` | `contentsChanged(ListDataEvent e)` Sent when the contents of the list has changed in a way that's too complex to characterize with the previous methods.
`void` | `intervalAdded(ListDataEvent e)` Sent after the indices in the index0,index1 interval have been inserted in the data model.
`void` | `intervalRemoved(ListDataEvent e)` Sent after the indices in the index0,index1 interval have been removed from the data model.

Method Detail

### intervalAdded

    public void intervalAdded(ListDataEvent e)

  Sent after the indices in the index0,index1 interval have been inserted in the data model. The new interval includes both index0 and index1.
  Parameters:
    `e` - a ListDataEvent encapuslating the event information

### intervalRemoved

    public void intervalRemoved(ListDataEvent e)

  Sent after the indices in the index0,index1 interval have been removed from the data model. The interval includes both index0 and index1.
  Parameters:
    `e` - a ListDataEvent encapuslating the event information

### contentsChanged

    public void contentsChanged(ListDataEvent e)

  Sent when the contents of the list has changed in a way that's too complex to characterize with the previous methods. Index0 and index1 bracket the change.
  Parameters:
    `e` - a ListDataEvent encapuslating the event information

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.